%Routine that chooses the version of 2EBD-HPE based on the string parameters
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 2EBD-HPE:
%% Modified by C.Ortiz
%% Last Modified: 6/15/2012
function [TEBD,params] = TEBD_GetAlgorithm(args)
params.vers = 2;
params.subvers = 2;
if nargin == 0 || isempty(args) 
    TEBD = @TEBD_NC_v2_2;
    return;
end

if ~any(strcmp(args,'NC')) && any(strcmp(args,'C'))
    NC = 0;
else
    NC = 1;
end

if ~any(strcmp(args,'v2.2')) && any(strcmp(args,'v2.1'))
    params.subvers = 1;
else
    params.subvers = 2;
end

algstr = 'TEBD';
if NC
    algstr = [algstr,'_NC'];
end
algstr = [algstr,'_v',num2str(params.vers),'_',num2str(params.subvers)];
eval(['TEBD = @',algstr,';']);

    