%Evaluate the primal and dual objective function of the THETA and 
%THETAPLUS problems when trace(x)=1 NOT included in the first block
%using the dual variable
%%******************************************************************
%% ops:
%%
%%   obj = TEBD_EvalObj_THETAS_v2(prob,x,y)
%%
%%  INPUT:      prob = (struct) problem definition
%%              x    = primal variable
%%              y    = (struct) dual variable
%%
%%  OUTPUT:     obj(1)  = primal objective function
%%              obj(2)  = dual objective function
%%                    
%% 2EBD-HPE:
%% Modified by C.Ortiz
%% Last Modified: 5/31/2013

function obj = TEBD_EvalObj_THETAS_v2(prob,x,y)
obj(1) = prob.trace(prob.C,x);

obj(2) = y.y(prob.m);
end
