%Evaluate the primal and dual objective function of the BIQ problems 
%%using the dual variable
%%******************************************************************
%% ops:
%%
%%   obj = TEBD_EvalObjh1_THETAS_v2(prob,x,y)
%%
%%  INPUT:      prob = (struct) problem definition
%%              x    = primal variable
%%              y    = (struct) dual variable
%%
%%  OUTPUT:     obj(1)  = primal objective function
%%              obj(2)  = dual objective function
%%                    
%% 2EBD-HPE:
%% Modified by C.Ortiz
%% Last Modified: 5/31/2013

function obj = TEBD_EvalObjle1_BIQ_v2(prob,x,y)
obj(1) = prob.trace(prob.C,x);

obj(2) = y.y(prob.n)-sum(y.s);
end
