%Get RANDOM standard form SDP
%%******************************************************************
%% ops:
%%
%%   prob = TEBD_GetRAND_SDP(prob)
%%
%%  INPUT/OUTPUT:     prob = (struct) problem definition
%%                    
%% 2EBD-HPE:
%% Modified by C.Ortiz
%% Last Modified: 6/15/2012
function prob = TEBD_GetRAND_SDP(prob)
[At2, b2, C2] = rand_sdps(prob.n, prob.m, prob.p, prob.seed);
[prob.blk,prob.At,prob.C,prob.b] = GetSDPT3Format(prob.n,At2,b2,C2);

prob.n = size(prob.C{1},1);
prob.m = length(prob.b);
prob.X0 = TEBD_ops(prob.C,'zeros');


prob.normb = norm(prob.b);
prob.normC = TEBD_ops(prob.C,'norm');%norm(C)

prob.Z0 = TEBD_ops(prob.C,'zeros');
prob.y0 = zeros(size(prob.b));

