%Get Quadratic Assignment Problem (QAP) SDP
%%******************************************************************
%% ops:
%%
%%   prob = TEBD_GetQAP_SDP(prob)
%%
%%  INPUT/OUTPUT:     prob = (struct) problem definition
%%                    
%% 2EBD-HPE:
%% Modified by C.Ortiz
%% Last Modified: 6/15/2012
function par = TEBD_GetQAP_SDP(par)
if isfield(par,'file')
    file = par.file;
else
    file = 'chr12a.dat';
end
disp(['    **** From QAP file : ',file, '****'])
[A,B] = qapread(par.file); 
[blk2,At2,C2,b2] = qapAW(A,B);
[par.blk,par.At,par.C,par.b] = addpositive(blk2,At2,C2,b2);
par.n = size(par.C{1},1);
par.m = length(par.b);



