%%**********************************************************************
%% blktrace: compute <X1,Z1> + ... <Xp,Zp>
%%
%% SDPNAL: 
%% Copyright (c) 2008 by
%% Xinyuan Zhao, Defeng Sun, and Kim-Chuan Toh  
%%**********************************************************************

  function trXZ = blktrace(blk,X,Z); 

  trXZ = 0; 
  for p = 1:size(blk,1)
     pblk = blk(p,:);
     if strcmp(pblk{1},'s')
        trXZ = trXZ + sum(sum(X{p}.*Z{p})); 
     else
        trXZ = trXZ + X{p}'*Z{p}; 
     end
  end
%%**********************************************************************




